{
  "formatVersion": 1,
  "database": {
    "version": 1,
    "identityHash": "dd46b11f076e62c06b65f47b25289188",
    "entities": [
      {
        "tableName": "message",
        "createSql": "CREATE TABLE IF NOT EXISTS `${TABLE_NAME}` (`id` TEXT NOT NULL, `type` INTEGER, `isSystem` INTEGER, `from` TEXT, `to` TEXT, `body` TEXT, `timestamp` INTEGER NOT NULL, `sendState` INTEGER NOT NULL, `fromName` TEXT, `msgType` INTEGER NOT NULL, PRIMARY KEY(`id`))",
        "fields": [
          {
            "fieldPath": "id",
            "columnName": "id",
            "affinity": "TEXT",
            "notNull": true
          },
          {
            "fieldPath": "type",
            "columnName": "type",
            "affinity": "INTEGER",
            "notNull": false
          },
          {
            "fieldPath": "isSystem",
            "columnName": "isSystem",
            "affinity": "INTEGER",
            "notNull": false
          },
          {
            "fieldPath": "from",
            "columnName": "from",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "to",
            "columnName": "to",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "body",
            "columnName": "body",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "timestamp",
            "columnName": "timestamp",
            "affinity": "INTEGER",
            "notNull": true
          },
          {
            "fieldPath": "sendState",
            "columnName": "sendState",
            "affinity": "INTEGER",
            "notNull": true
          },
          {
            "fieldPath": "fromName",
            "columnName": "fromName",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "msgType",
            "columnName": "msgType",
            "affinity": "INTEGER",
            "notNull": true
          }
        ],
        "primaryKey": {
          "columnNames": [
            "id"
          ],
          "autoGenerate": false
        },
        "indices": [],
        "foreignKeys": []
      }
    ],
    "views": [],
    "setupQueries": [
      "CREATE TABLE IF NOT EXISTS room_master_table (id INTEGER PRIMARY KEY,identity_hash TEXT)",
      "INSERT OR REPLACE INTO room_master_table (id,identity_hash) VALUES(42, 'dd46b11f076e62c06b65f47b25289188')"
    ]
  }
}